from db import get_database

def setup_database():
    db = get_database()
    
    db['players'].create_index([('name', 1)], unique=True)
    db['teams'].create_index([('name', 1)], unique=True)
    db['players'].create_index([("contract.start_date", 1)])
    db['players'].create_index([("contract.duration_years", 1)])
    db['players'].create_index([("gender", 1)])
    db['players'].create_index([("contract.team_id", 1)])
    db['players'].create_index([("contracts.start_date", 1), ("contracts.duration_years", 1)])
    db['players'].create_index([("date_signed_up", 1)])
    
    print("Database and collections setup with indexes.")

if __name__ == "__main__":
    setup_database()
