# Advanced Databases UFCFU3-15-3 Activity 1 & 2

## Description

This project is a comprehensive football agents database system with two different implementations: one using SQL (PostgreSQL) and the other using NoSQL (MongoDB). The goal is to provide a flexible and scalable solution for football agents managing their clients.

## Installation
To install the project, follow these steps:

1. Clone the repository
2. Install the dependencies using `pip install -r requirements.txt`

## Database Setup

This project uses both PostgreSQL and MongoDB databases. Follow the steps below to set them up locally:

### PostgreSQL

1. Install PostgreSQL if you haven't already. You can download it from [here](https://www.postgresql.org/download/).
2. Create a new PostgreSQL database.
3. Update the `DATABASE_URI` configuration in [Activity1/src/config.py](Activity1/src/config.py) with your database name, user, password, and host.

### MongoDB

1. Install MongoDB if you haven't already. You can download it from [here](https://www.mongodb.com/try/download/community).
2. Create a new MongoDB database.
3. Update the `DATABASE_URI` configuration in [Activity2/src/config.py](Activity2/src/config.py) with your database name and host.

## Database Setup
1. Run the project using `python manage.py` from the root directory.


## Data
The project uses data from *[players_data.csv](data/players_data.csv)* which contains all data regarding players, teams, and contracts.




### Activity 1: (SQL)

#### Contents:
SQL implementation and required queries.

**[Activity 1 Implementation Documentation](Activity1/ACTIVITY1.md)**

### Activity 2: (NoSQL)

#### Contents:
NoSQL implementation and required queries.

**[Activity 2 Implementation Documentation](Activity2/ACTIVITY2.md)**