import subprocess

def run_activity(activity_number):
    """
    Runs the manage.py script for a given activity number.
    """
    manage_script_path = f"./Activity{activity_number}/manage.py"
    subprocess.run(['python', manage_script_path], check=True)

def main():
    while True:
        print("\nSelect the activity you want to run:")
        print("1 - Activity 1 (SQL)")
        print("2 - Activity 2 (NOSQL)")
        print("q - Quit")
        
        choice = input("Enter your choice: ")
        if choice == 'q':
            print("Exiting...")
            break

        if choice in ['1', '2']:
            run_activity(choice)
        else:
            print("Invalid choice. Please enter 1, 2, or q.")

if __name__ == "__main__":
    main()
